####################################################################
###
###  doswin16.mak
###
###  This file contains some definitions for the Windows 3.1
###  environment that match those of the Win32 environment.  This
###  makes it a bit easier to maintain a single makefile for both
###  environments.
###
####################################################################


###
###  Memory model.  Defaults to medium model.
###

!IFNDEF model
model = M
!ENDIF  # MODEL


###
###  Binary declarations.
###

cc   = cl
link = link


###
###  Compile flags.
###

ccommon = -c -A$(model) -Gsw -W3

!IFDEF NODEBUG
cdebug = -Ox -DDBG=0
!ELSE   # !NODEBUG
cdebug = -Zi -Od -DDBG=1
!ENDIF  # NODEBUG

cflags = $(ccommon)
cvars  = -DWIN16

rcvars = -DWIN16


###
###  Link flags.
###

!IFDEF NODEBUG
ldebug =
!ELSE   # !NODEBUG
ldebug = /CO
!ENDIF  # NODEBUG

guiflags = /NOE /NOD


###
###  Libraries.
###

guilibs = libw $(model)libcew

